This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 805010 - Lokalize/kmail crash in Sonnet due to uninitialised rehighlightRequest
Lokalize/kmail crash in Sonnet due to uninitialised rehighlightRequest
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 08:45 EDT by A S Alam
Modified: 2013-07-02 21:10 EDT (History)
9 users (show)

See Also:
Fixed In Version: kdelibs-4.8.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 801819
Environment:
Last Closed: 2012-04-02 19:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 295615 None None None Never

  None (edit)
Description A S Alam 2012-03-20 08:45:40 EDT
Fedora 16 has a crashe with kdesdk-lokalize-4.8.1-1.fc16.x86_64

+++ This bug was initially created as a clone of Bug #801819 +++

Description of problem:
lokalize application crash with kdesdk-4.8.1-1.fc17.src.rpm

Version-Release number of selected component (if applicable):
kdesdk-4.8.1-1.fc17.src.rpm

How reproducible:
Everytime

Steps to Reproduce:
1. Open Lokalize 
2. open file ($wget http://l10n.gnome.org/POT/gdl.master/gdl.master.pa.po)
3. Press <SPACE>
  
Actual results:
application crashed

Expected results:
should not crashed

Additional info:

--- Additional comment from rdieter@math.unl.edu on 2012-03-09 20:57:23 IST ---

Can you provide a backtrace?

--- Additional comment from aalam@redhat.com on 2012-03-10 14:18:05 IST ---

Application: ਲੋਕਾਲਾਈਜ਼ (lokalize), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f92dc92f880 (LWP 1923))]

Thread 5 (Thread 0x7f92c7589700 (LWP 1934)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003e2c27b9cb in wait (time=18446744073709551615, this=0x153d650) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1538570, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000399a8b4b86 in QFileInfoGatherer::run (this=0x1538560) at dialogs/qfileinfogatherer.cpp:214
#4  0x0000003e2c27b4cb in QThreadPrivate::start (arg=0x1538560) at thread/qthread_unix.cpp:298
#5  0x0000003f63e07d14 in start_thread (arg=0x7f92c7589700) at pthread_create.c:309
#6  0x0000003f63af105d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f92c5413700 (LWP 1935)):
#0  0x0000003f63ae85af in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f92dd534af4 in g_main_context_poll (n_fds=1, fds=0x7f92b40017a0, timeout=-1, context=0x7f92b40009a0, priority=<optimized out>) at gmain.c:3412
#2  g_main_context_iterate (context=context@entry=0x7f92b40009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3113
#3  0x00007f92dd534c14 in g_main_context_iteration (context=0x7f92b40009a0, may_block=1) at gmain.c:3179
#4  0x0000003e2c3a2976 in QEventDispatcherGlib::processEvents (this=0x7f92b40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0000003e2c37382f in QEventLoop::processEvents (this=this@entry=0x7f92c5412cf0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003e2c373ab8 in QEventLoop::exec (this=0x7f92c5412cf0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003e2c278588 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x0000003e2c35467f in QInotifyFileSystemWatcherEngine::run (this=0x15371a0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x0000003e2c27b4cb in QThreadPrivate::start (arg=0x15371a0) at thread/qthread_unix.cpp:298
#10 0x0000003f63e07d14 in start_thread (arg=0x7f92c5413700) at pthread_create.c:309
#11 0x0000003f63af105d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f92bbf7a700 (LWP 1936)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003e2c27b9cb in wait (time=18446744073709551615, this=0x12afd70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x12ae400, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f92df35da81 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12afc20, th=0x1566830) at /usr/src/debug/kdelibs-4.8.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f92df3602cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x12ae2e0, th=0x1566830) at /usr/src/debug/kdelibs-4.8.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f92df35f13f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f92bbf79d20, parent=0x12afc20, th=th@entry=0x1566830) at /usr/src/debug/kdelibs-4.8.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f92df35f1cb in ThreadWeaver::Thread::run (this=0x1566830) at /usr/src/debug/kdelibs-4.8.1/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003e2c27b4cb in QThreadPrivate::start (arg=0x1566830) at thread/qthread_unix.cpp:298
#8  0x0000003f63e07d14 in start_thread (arg=0x7f92bbf7a700) at pthread_create.c:309
#9  0x0000003f63af105d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f92bb779700 (LWP 1938)):
#0  0x00007fff1d7ff8f4 in ?? ()
#1  0x0000003f6460410d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x0000003e2c2d0e74 in do_gettime (frac=0x7f92bb778a58, sec=0x7f92bb778a50) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x0000003e2c3a317d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f92b0001420) at kernel/qeventdispatcher_unix.cpp:343
#5  0x0000003e2c3a34c1 in QTimerInfoList::timerWait (this=0x7f92b0001420, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x0000003e2c3a203c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f92bb778b4c) at kernel/qeventdispatcher_glib.cpp:136
#7  0x0000003e2c3a20e5 in timerSourcePrepare (source=source@entry=0x7f92b00013c0, timeout=timeout@entry=0x7f92bb778b4c) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f92dd53420f in g_main_context_prepare (context=context@entry=0x7f92b00009a0, priority=priority@entry=0x7f92bb778b98) at gmain.c:2808
#9  0x00007f92dd534a1b in g_main_context_iterate (context=context@entry=0x7f92b00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3098
#10 0x00007f92dd534c14 in g_main_context_iteration (context=0x7f92b00009a0, may_block=1) at gmain.c:3179
#11 0x0000003e2c3a2976 in QEventDispatcherGlib::processEvents (this=0x7f92b00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x0000003e2c37382f in QEventLoop::processEvents (this=this@entry=0x7f92bb778cf0, flags=...) at kernel/qeventloop.cpp:149
#13 0x0000003e2c373ab8 in QEventLoop::exec (this=0x7f92bb778cf0, flags=...) at kernel/qeventloop.cpp:204
#14 0x0000003e2c278588 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x0000003e2c35467f in QInotifyFileSystemWatcherEngine::run (this=0x18024b0) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x0000003e2c27b4cb in QThreadPrivate::start (arg=0x18024b0) at thread/qthread_unix.cpp:298
#17 0x0000003f63e07d14 in start_thread (arg=0x7f92bb779700) at pthread_create.c:309
#18 0x0000003f63af105d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f92dc92f880 (LWP 1923)):
[KCrash Handler]
#6  0x00007f92df804cc3 in Sonnet::Highlighter::eventFilter (this=0x163a110, o=0x166c5b0, e=0x7fff1d73d750) at /usr/src/debug/kdelibs-4.8.1/kdeui/sonnet/highlighter.cpp:355
#7  0x0000003e2c374996 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x166c5b0, event=0x7fff1d73d750) at kernel/qcoreapplication.cpp:986
#8  0x000000399a3ca2ac in QApplicationPrivate::notify_helper (this=this@entry=0x100ff80, receiver=receiver@entry=0x166c5b0, e=e@entry=0x7fff1d73d750) at kernel/qapplication.cpp:4546
#9  0x000000399a3cf3dd in QApplication::notify (this=<optimized out>, receiver=0x166c5b0, e=0x7fff1d73d750) at kernel/qapplication.cpp:3991
#10 0x00007f92df7ae7b6 in KApplication::notify (this=0x7fff1d73e6e0, receiver=0x166c5b0, event=0x7fff1d73d750) at /usr/src/debug/kdelibs-4.8.1/kdeui/kernel/kapplication.cpp:311
#11 0x0000003e2c37482e in QCoreApplication::notifyInternal (this=0x7fff1d73e6e0, receiver=0x166c5b0, event=0x7fff1d73d750) at kernel/qcoreapplication.cpp:876
#12 0x000000399a465e5a in QKeyMapper::sendKeyEvent (keyWidget=keyWidget@entry=0x166c5b0, grab=grab@entry=false, type=QEvent::KeyPress, code=32, modifiers=..., text=..., autorepeat=autorepeat@entry=false, count=1, nativeScanCode=65, nativeVirtualKey=32, nativeModifiers=0) at kernel/qkeymapper_x11.cpp:1866
#13 0x000000399a466291 in QKeyMapperPrivate::translateKeyEvent (this=0x1057c90, keyWidget=0x166c5b0, event=0x7fff1d73e170, grab=false) at kernel/qkeymapper_x11.cpp:1836
#14 0x000000399a443f98 in QApplication::x11ProcessEvent (this=0x7fff1d73e6e0, event=0x7fff1d73e170) at kernel/qapplication_x11.cpp:3534
#15 0x000000399a469f2c in x11EventSourceDispatch (s=s@entry=0x100c150, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#16 0x00007f92dd53473c in g_main_dispatch (context=0x100fcc0) at gmain.c:2510
#17 g_main_context_dispatch (context=context@entry=0x100fcc0) at gmain.c:3047
#18 0x00007f92dd534b58 in g_main_context_iterate (context=context@entry=0x100fcc0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
#19 0x00007f92dd534c14 in g_main_context_iteration (context=0x100fcc0, may_block=1) at gmain.c:3179
#20 0x0000003e2c3a2956 in QEventDispatcherGlib::processEvents (this=0xfea980, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#21 0x000000399a469c0e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#22 0x0000003e2c37382f in QEventLoop::processEvents (this=this@entry=0x7fff1d73e540, flags=...) at kernel/qeventloop.cpp:149
#23 0x0000003e2c373ab8 in QEventLoop::exec (this=0x7fff1d73e540, flags=...) at kernel/qeventloop.cpp:204
#24 0x0000003e2c3782fc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#25 0x0000000000436388 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kdesdk-4.8.1/lokalize/src/main.cpp:125
Comment 1 A S Alam 2012-03-22 06:13:47 EDT
there is workaround for this (not sure if this need to be fixed or not):
1) install dictionary for language (aspell-pa)
2) Change correct Dictionary in systemsetting ->Locale->SpellChecker-> Default Language (Change to Punjabi (India) (pa_IN)) from Punjabi (pa)).
Comment 2 Jaroslav Reznik 2012-03-22 08:11:20 EDT
It's a known bug, see the referenced upstream KDE one. I'm going to rebuild it with proposed patch - even I'm not sure the patch is 100% correct - but at least, it should work.
Comment 3 Kevin Kofler 2012-03-22 14:57:11 EDT
Some people also had KMail crash inside Sonnet, I think it's the same bug and thus should also be fixed by the same fix.
Comment 4 Fedora Update System 2012-03-22 15:53:56 EDT
kdelibs-4.8.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kdelibs-4.8.1-3.fc17
Comment 5 Fedora Update System 2012-03-22 15:56:43 EDT
kdelibs-4.8.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdelibs-4.8.1-3.fc16
Comment 6 Fedora Update System 2012-03-23 20:29:24 EDT
Package kdelibs-4.8.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdelibs-4.8.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4584/kdelibs-4.8.1-3.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-02 19:29:02 EDT
kdelibs-4.8.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-11 23:23:18 EDT
kdelibs-4.8.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.